ACPI BIOS Error in kernel log

Bug #1870368 reported by SR
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Had this with 19.04. Still there with 19.10. AFAIK, there is no other symptom than the logged errors.

Looks like :
Apr 2 08:55:21 clairetnet kernel: [ 0.124577] ACPI: Added _OSI(Module Device)
Apr 2 08:55:21 clairetnet kernel: [ 0.124578] ACPI: Added _OSI(Processor Device)
Apr 2 08:55:21 clairetnet kernel: [ 0.124578] ACPI: Added _OSI(3.0 _SCP Extensions)
Apr 2 08:55:21 clairetnet kernel: [ 0.124578] ACPI: Added _OSI(Processor Aggregator Device)
Apr 2 08:55:21 clairetnet kernel: [ 0.124579] ACPI: Added _OSI(Linux-Dell-Video)
Apr 2 08:55:21 clairetnet kernel: [ 0.124580] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
Apr 2 08:55:21 clairetnet kernel: [ 0.124580] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
Apr 2 08:55:21 clairetnet kernel: [ 0.124581] ACPI: Added _OSI(Linux)
Apr 2 08:55:21 clairetnet kernel: [ 0.167243] ACPI BIOS Error (bug): Failure creating named object [\_SB.PCI0.XHC.RHUB.HS01._UPC], AE_ALREADY_EXISTS (20190703/dswload2-323)
Apr 2 08:55:21 clairetnet kernel: [ 0.167248] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190703/psobject-220)
Apr 2 08:55:21 clairetnet kernel: [ 0.167249] ACPI: Skipping parse of AML opcode: Method (0x0014)
[continue with more of the same]

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: linux-image-5.3.0-45-generic 5.3.0-45.37
ProcVersionSignature: Ubuntu 5.3.0-45.37-generic 5.3.18
Uname: Linux 5.3.0-45-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu8.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: stan 2268 F.... pulseaudio
 /dev/snd/pcmC0D0p: stan 2268 F...m pulseaudio
 /dev/snd/controlC1: stan 2268 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Thu Apr 2 16:42:59 2020
InstallationDate: Installed on 2019-04-26 (341 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
MachineType: Dell Inc. Precision 5530
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-45-generic root=UUID=2262d308-663c-47c3-9e75-b34611c8df1d ro nouveau.blacklist=1 acpi_rev_override=1 acpi_osi=Linux nouveau.modeset=0 pcie_aspm=force drm.vblankoffdelay=1 scsi_mod.use_blk_mq=1 nouveau.runpm=0 mem_sleep_default=deep quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.3.0-45-generic N/A
 linux-backports-modules-5.3.0-45-generic N/A
 linux-firmware 1.183.4
SourcePackage: linux
UpgradeStatus: Upgraded to eoan on 2019-11-04 (150 days ago)
dmi.bios.date: 12/25/2019
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.15.0
dmi.board.name: 0N0DK2
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.15.0:bd12/25/2019:svnDellInc.:pnPrecision5530:pvr:rvnDellInc.:rn0N0DK2:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Precision
dmi.product.name: Precision 5530
dmi.product.sku: 087D
dmi.sys.vendor: Dell Inc.

Revision history for this message
SR (esserre) wrote :
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
SR (esserre) wrote :
Download full text (9.5 KiB)

FWIW, below, dmesg log after disconnecting/reconnecting my usb-c ethernet converter, after a long time of inactivity.

[178160.678573] r8152 4-1:1.0 enxc8f750df7b05: carrier on
[178174.427576] xhci_hcd 0000:3a:00.0: xHCI host controller not responding, assume dead
[178174.427599] r8152 4-1:1.0 enxc8f750df7b05: Stop submitting intr, status -108
[178174.427602] xhci_hcd 0000:3a:00.0: HC died; cleaning up
[178174.427720] usb 4-1: USB disconnect, device number 2
[178176.610388] xhci_hcd 0000:3a:00.0: remove, state 1
[178176.610391] usb usb4: USB disconnect, device number 1
[178176.610593] xhci_hcd 0000:3a:00.0: USB bus 4 deregistered
[178176.610597] xhci_hcd 0000:3a:00.0: remove, state 4
[178176.610598] usb usb3: USB disconnect, device number 1
[178176.610781] xhci_hcd 0000:3a:00.0: Host halt failed, -19
[178176.610783] xhci_hcd 0000:3a:00.0: Host not accessible, reset failed.
[178176.610840] xhci_hcd 0000:3a:00.0: USB bus 3 deregistered
[178176.630196] pci_bus 0000:03: Allocating resources
[178176.630212] pcieport 0000:03:02.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 3a] add_size 200000 add_align 100000
[178176.630216] pcieport 0000:03:02.0: BAR 15: no space for [mem size 0x00200000 64bit pref]
[178176.630216] pcieport 0000:03:02.0: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[178176.630218] pcieport 0000:03:02.0: BAR 15: no space for [mem size 0x00200000 64bit pref]
[178176.630218] pcieport 0000:03:02.0: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[178179.626858] pcieport 0000:03:00.0: Refused to change power state, currently in D3
[178179.630868] pci_bus 0000:04: busn_res: [bus 04] is released
[178179.630938] pci_bus 0000:05: busn_res: [bus 05-39] is released
[178179.631000] pci_bus 0000:3a: busn_res: [bus 3a] is released
[178179.631845] pci_bus 0000:03: busn_res: [bus 03-3a] is released
[178209.724720] ACPI BIOS Error (bug): Failure creating named object [\_GPE.XTBT.SPRT], AE_ALREADY_EXISTS (20190703/dswload2-323)
[178209.724728]
                Initialized Local Variables for Method [XTBT]:
[178209.724729] Local0: 000000007e9caf06 <Obj> Integer 0000000000000001
[178209.724733] Initialized Arguments for Method [XTBT]: (2 arguments defined for method invocation)
[178209.724733] Arg0: 000000003f702c61 <Obj> Integer 0000000000000011
[178209.724735] Arg1: 00000000878900bb <Obj> Integer 0000000000000001
[178209.724739] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190703/psobject-220)
[178209.724741] ACPI Error: Aborting method \_GPE.XTBT due to previous error (AE_ALREADY_EXISTS) (20190703/psparse-529)
[178209.724746] ACPI Error: Aborting method \_GPE.XTBT due to previous error (AE_ALREADY_EXISTS) (20190703/psparse-529)
[178209.724755] ACPI Error: Aborting method \_GPE._E42 due to previous error (AE_ALREADY_EXISTS) (20190703/psparse-529)
[178209.724758] ACPI: Marking method _E42 as Serialized because of AE_ALREADY_EXISTS error
[178209.724761] ACPI Error: AE_ALREADY_EXISTS, while evaluating GPE method [_E42] (20190703/evgpe-511)
[178211.842619] pci 0000:02:00.0: [8086:15da] type 01 class 0x060400
[178211.842742] pci 0000:02:00.0: enabling Exten...

Read more...

Revision history for this message
SR (esserre) wrote :

For the record, the bug is still there. The following is taken from a post-suspend dmesg command. Impossible to get my USB-C to ethernet adapter to work until I reboot.
This happens quite often. I have to reboot from time to time in order to get network back. You can imagine how frustrating it is when you find yourself being afraid of disconnecting or suspending your laptop to avoid having to restart all your apps to get back in current context of your work.
I am using the latest 20.04.1.

[32351.925853] pci_bus 0000:04: busn_res: [bus 04] is released
[32351.925981] pci_bus 0000:05: busn_res: [bus 05-39] is released
[32351.926040] pci_bus 0000:3a: busn_res: [bus 3a] is released
[32351.926099] pci_bus 0000:03: busn_res: [bus 03-3a] is released
[32359.926066] ACPI BIOS Error (bug): Failure creating named object [\_GPE.XTBT.SPRT], AE_ALREADY_EXISTS (20190816/dswload2-326)
[32359.926091]
               Initialized Local Variables for Method [XTBT]:
[32359.926093] Local0: 00000000a09cb06c <Obj> Integer 0000000000000001
[32359.926105] Initialized Arguments for Method [XTBT]: (2 arguments defined for method invocation)
[32359.926107] Arg0: 00000000885e4213 <Obj> Integer 0000000000000011
[32359.926114] Arg1: 0000000068996c7b <Obj> Integer 0000000000000001
[32359.926122] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190816/psobject-220)
[32359.926130] ACPI Error: Aborting method \_GPE.XTBT due to previous error (AE_ALREADY_EXISTS) (20190816/psparse-529)
[32359.926143] ACPI Error: Aborting method \_GPE.XTBT due to previous error (AE_ALREADY_EXISTS) (20190816/psparse-529)
[32359.926165] ACPI Error: Aborting method \_GPE._E42 due to previous error (AE_ALREADY_EXISTS) (20190816/psparse-529)
[32359.926180] ACPI Error: AE_ALREADY_EXISTS, while evaluating GPE method [_E42] (20190816/evgpe-511)

Revision history for this message
SR (esserre) wrote :

Linux clairetnet 5.4.0-59-generic #65-Ubuntu SMP Thu Dec 10 12:01:51 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Still there after kernel update, FWIW.

Revision history for this message
SR (esserre) wrote :

Looks like this now :
[ 0.124558] ACPI: Added _OSI(Linux)
[ 0.167335] ACPI BIOS Error (bug): Failure creating named object [\_SB.PCI0.XHC.RHUB.HS01._UPC], AE_ALREADY_EXISTS (20190816/dswload2-326)
[ 0.167340] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190816/psobject-220)
[ 0.167341] ACPI: Skipping parse of AML opcode: Method (0x0014)
[ 0.167342] ACPI BIOS Error (bug): Failure creating named object [\_SB.PCI0.XHC.RHUB.HS01._PLD], AE_ALREADY_EXISTS (20190816/dswload2-326)

Revision history for this message
SR (esserre) wrote :
Revision history for this message
SR (esserre) wrote :

Arguments (11, 1) for call in 20190816/dswload2-326 still there.

[ 106.736827] ACPI BIOS Error (bug): Failure creating named object [\_GPE.XTBT.SPRT], AE_ALREADY_EXISTS (20190816/dswload2-326)
[ 106.736836]
               Initialized Local Variables for Method [XTBT]:
[ 106.736837] Local0: 00000000b9cb805b <Obj> Integer 0000000000000001
[ 106.736841] Initialized Arguments for Method [XTBT]: (2 arguments defined for method invocation)
[ 106.736842] Arg0: 00000000d1b3ee90 <Obj> Integer 0000000000000011
[ 106.736844] Arg1: 000000009cb4f751 <Obj> Integer 0000000000000001
[ 106.736847] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190816/psobject-220)
[ 106.736849] ACPI Error: Aborting method \_GPE.XTBT due to previous error (AE_ALREADY_EXISTS) (20190816/psparse-529)
[ 106.736854] ACPI Error: Aborting method \_GPE.XTBT due to previous error (AE_ALREADY_EXISTS) (20190816/psparse-529)
[ 106.736859] ACPI Error: Aborting method \_GPE._E42 due to previous error (AE_ALREADY_EXISTS) (20190816/psparse-529)
[ 106.736863] ACPI: Marking method _E42 as Serialized because of AE_ALREADY_EXISTS error
[ 106.736866] ACPI Error: AE_ALREADY_EXISTS, while evaluating GPE method [_E42] (20190816/evgpe-511)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.